Bug 680233 - individual config editor - fix issues when in read-only mode
Summary: individual config editor - fix issues when in read-only mode
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.0.0.B02
Hardware: All
OS: All
high
high vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: rhq4 config, individual-config
TreeView+ depends on / blocked
 
Reported: 2011-02-24 18:36 UTC by Ian Springer
Modified: 2013-08-06 00:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-24 01:08:46 UTC


Attachments (Terms of Use)

Description Ian Springer 2011-02-24 18:36:16 UTC
The following issues need to be fixed:

1) Password props and associated unset checkboxes should not be editable.
2) On member map editor modal:
  a) Modal title should be "View ..." not "Edit ...".
  b) Cancel button should not be shown.
  c) property changed event should not be thrown upon closing the modal.

I think that's it.

The following test view can be used:

http://localhost:7080/coregui/CoreGUI.html#Test/Configuration/ReadOnlyConfigEditor

Comment 1 John Mazzitelli 2011-03-24 18:42:07 UTC
I think Ian already fixes these. Putting this on_dev in his bucket - just review and close if appropriate.

Comment 2 Ian Springer 2011-03-25 21:18:38 UTC
[master 29ab569] completes this.

Comment 3 Mike Foley 2011-05-04 12:09:52 UTC
verified using the test view defined above.

Comment 4 Corey Welton 2011-05-24 01:08:46 UTC
Bookkeeping - closing bug - fixed in recent release.


Note You need to log in before you can comment on or make changes to this bug.